// -*- c++ -*-

#ifndef CONTROL_H
#define CONTROL_H

	#ifndef _DEBUG
		#define NDEBUG
		#undef DEBUG
		#define NO_CHECK
	#endif // _DEBUG

	#ifdef _DEBUG
		#undef NDEBUG
		#define DEBUG
	#endif // _DEBUG
	
	#include <assert.h>
	
// ======= Global setting for application ==========

// Define generic command codes
#define SET_BEFORE 111
#define SET_AFTER 112

#define SET_ON 100
#define SET_OFF 0

// Define status item codes
#define PATH_SIZE 300
#define SIZE_BUFF 1000

// Define common data types

// ================================================

#endif // CONTROL_H

