#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

//#include <iostream.h>

#include "control.h"
#include <stdio.h>
#include <libintl.h>

#include "uninst.h"

int main(int argc, char** argv)
{
	//set locales
	setlocale(LC_ALL, "");
	bindtextdomain(PACKAGE, LOCALEDIR);
	textdomain(PACKAGE);
	
	Uninst* app = new Uninst(argc, argv);
	int retCode = app->exec();
	delete app;
#ifdef _DEBUG
	printf("'''## Exit Code = %d ##```\n", retCode);
#endif
	return(retCode);		
}
