// -*- c++ -*-/

#ifndef WRITETEXTFILE_H
#define WRITETEXTFILE_H

#include "control.h"
#include <stdio.h>

class WriteTextFile
{
	public:
		WriteTextFile(const char* nameString);
		~WriteTextFile();
		
		void writeLine(const char* line);
		void setRunBit();
		void close();
		void deleteFile();
		int errorCode()
		{
			return( errorNum );
		}
		const char* getName() const;
		
	private:
		FILE* fw;
		char* fileName;
		int errorNum;
		bool nameIs;
		bool inUse;
};

#endif // WRITETEXTFILE_H
